Thankyou Little Cthullu for the reply...
It works when I select Elements from the specification tree but it does not work when I select the elements directly..
Hello everyone,
I made an intersection macro. The first element is automatically selected while the second element is to be selected by the user.
I tried InputObjectType(0)="AnyObject", but when I select PartBody from my specification tree it ends up in not selecting anything at all.
The code...
hello everyone,
I created a macro in which I guide the user till the intersection of two elements. But I cannot seem to change the radius of circle using Userform.
The code I created:
Sub CATMain()
Dim oDoc As Object
Set oDoc = CATIA.ActiveDocument
Dim oPart As Part...
Thankyou Little Cthullu for replying back.
If there are more conditions to be applied then those are the direction i guess like xy plane ,
yz plane . And I want the circle to be created on the same point too (the one that I created in the first place)
Thankyou LWolf for your reply.
But my task is to create the macro. My senior gave me this task.I know its not necessary but what to do.I have to do it.
I would be saved if someone could help me with this.
Hello Everyone,
I am new to the concept of catia v5 macros. Any help will be appreciated.
I recorded the macro but it isn't what I want. I created a point on curve.
Now the macro that I want : The userform opens in that when I click run ,the left corner of the window displays a message to...
Hello,
Thankyou for replying...
For Combobox I used
Private Sub UserForm_Initialize()
With cmb_SelectStyle
.AddItem "DefaultGenerativeStyle"
.AddItem "Inheritance_3D"
.AddItem "R17_GraphicReplacement"
.AddItem "ShellExpCmd_DrwTemplate"
End With...
Hello Everyone,
I have one combobox which i populated with DefaultGenerativestyle and inheritance_3D.
Then I have a command button that selects views( front view, back view , left view, isometric view,etc) and populate listbox with the name of the view.
I crated one more command button named...
Hello everyone,
I created a userform in which when i select a command button then select the view , the view name appears in the text box. However, I want to be able to do multiple view selection and am unable to do so.
the view here is (front view, left view, bottom view, the one in drafting)...
Hello everyone
I am running a code that contains two command buttons and one Text box .
Command Button1 allows to add a text in the text box
Command Button2 removes the text from the text box
However, whenever I am running the code I get this run time error like in the image below.
Can you...
If anyone saw this forum, I have a part 2 of this forum. The query is different.
Can you please try and help me .
The title will be Catia V5 Macro Command Button and Text Box 2 of that query.
Thankyou everyone
Also、Can I select the multiple views and get their names in textbox..right now i...
Thanks LucasC for the code.
I tried removing ViewName from the code and it worked perfectly.
{Before}
ViewName.TextBox1.Text = (drwView.Name) '"ViewName" is the name of my userform
{After}
TextBox1.Text = (drwView.Name) '"ViewName" is the name of my userform
Thanks a ton.
Thankyou so much for the code
But the later part of the code where the name of the view should appear in the text box doesnt work ..
The selection was done perfectly...
Hello everyone,
I am working on the programming of Catia V5 macro but i must say i dont know a thing.
I think i have to perform a simple task but due to my lack of knowledge of Catia macro ,i am unable to do so.
The task is: to create a Command button and a text box area
So when i click the...
Hi everyone
I am working on CATIA V5 Macros VBA and I must admit that I am a total noob. I have to make a frame containing a combo box. Combo box contains Honda, Toyota , Subaru as options and down that I have to create several option buttons . It’s like if I select Honda then it selects a...